import request from "@/utils/request";

// 风险列表
export function getRiskRoleList(param) {
  return request({
    url: `/power/riskRole/list`,
    method: "get",
    params: param,
  });
}
// 风险列表分页
export function getRiskRolePage(param) {
  return request({
    url: `/power/riskRole/page`,
    method: "get",
    params: param,
  });
}
// 详情
export function getRiskRoleInfo(param) {
  return request({
    url: `/power/riskRole/${param}`,
    method: "get",
  });
}
// 删除
export function delRiskRole(param) {
  return request({
    url: `/power/riskRole/delete/${param}`,
    method: "get",
  });
}
// 新增
export function addRiskRole(data) {
  return request({
    url: `/power/riskRole/add`,
    method: "post",
    data,
  });
}

// 更新
export function updateRiskRole(data) {
  return request({
    url: `/power/riskRole/update`,
    method: "post",
    data,
  });
}
